POST V1/RubsandVCR.{ext}/getVcrAllocatedBills?pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.VcrBillsSearchEntity
NameDescriptionTypeAdditional information
siteGroup

No description available

string

None.

site

No description available

string

None.

storeType

No description available

string

None.

state

No description available

string

None.

vendor

No description available

string

None.

status

No description available

string

None.

month

No description available

string

None.

year

No description available

string

None.

fileName

No description available

string

None.

city

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "siteGroup": "sample string 1",
  "site": "sample string 2",
  "storeType": "sample string 3",
  "state": "sample string 4",
  "vendor": "sample string 5",
  "status": "sample string 6",
  "month": "sample string 7",
  "year": "sample string 8",
  "fileName": "sample string 9",
  "city": "sample string 10"
}

application/xml, text/xml

Sample:
<VcrBillsSearchEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <city>sample string 10</city>
  <fileName>sample string 9</fileName>
  <month>sample string 7</month>
  <site>sample string 2</site>
  <siteGroup>sample string 1</siteGroup>
  <state>sample string 4</state>
  <status>sample string 6</status>
  <storeType>sample string 3</storeType>
  <vendor>sample string 5</vendor>
  <year>sample string 8</year>
</VcrBillsSearchEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.